package authentication;

import java.security.Principal;
import java.util.HashSet;
/**
 * Vlastn principl pro identifikaci uivatele
 *
 */
public class MyPrincipal implements Principal
{
/** Pihlaovac jmno uivatele */
private java.lang.String name;
/** Mnoina rol psluejc uivateli */
private java.util.Set roles;
/**
 * Vytvo instanci.
 *
 */
public MyPrincipal() 
{
	super();
	roles = new HashSet();
}
/**
 * Pid roli pro uivatele.
 * @param newRole java.lang.String je nov role.
 */
public void addRole(String newRole) 
{
	roles.add(newRole);
}
/**
 * Porovn dva objekty. Principly jsou obsahov shodn, jestlie se shoduj v pihlaovacm jmn.
 * @param obj java.lang.Object je druh porovnvan objekt.
 * @return boolean je <code>true</code>, maj-li objekty stejn obsah, jinak <code>false</code>.
 */
public boolean equals(Object obj) 
{
	try
	{
		return getName().equals(((Principal)obj).getName());
	}
	catch (ClassCastException ex)
	{
		return false;
	}
	catch (NullPointerException ex)
	{
		return getName() == ((MyPrincipal)obj).getName();
	}
}
/**
 * Vrt pihlaovac jmno uivatele
 * @return java.lang.String je pihlaovac jmno uivatele
 */
public java.lang.String getName() 
{
	return name;
}
/**
 * Vrt mnoinu rol uivatele.
 * @return java.util.Set je mnoina rol uivatele.
 */
public java.util.Set getRoles() 
{
	return roles;
}
/**
 * Zjist, zda je uivatel asociovn s danou rol.
 * @return boolean je <code>true</code> v ppad, e uivatel m piazenou zadanou roli. jinak <code>false</code>.
 * @param role java.lang.String je jmno role.
 */
public boolean isUserInRole(String role) 
{
	try
	{
		return getRoles().contains(role);
	}
	catch(NullPointerException ex)
	{
		return false;
	}
}
/**
 * Nastav pihlaovac jmno uivatele
 * @param newName java.lang.String je pihlaovac jmno uivatele
 */
public void setName(java.lang.String newName) 
{
	name = newName;
}
/**
 * Nastav mnoinu rol pro uivatele.
 * @param newRoles java.util.Set je mnoina rol pro uivatele.
 */
public void setRoles(java.util.Set newRoles) 
{
	roles = newRoles;
}
}
